# Documentation

# Overview

The `docs` folder contains end-to-end documentation on Kyma and its components.

Start with the overarching [Kyma](./kyma) documentation where you can find the general information on Kyma and the Getting Started guides. Then, read about the product in more detail:

-   [API Gateway](./api-gateway/)
-   [Application Connector](./application-connector/)
-   [Backup](./backup/)
-   [Compass](./compass/)
-   [Console](./console/)
-   [Event Bus](./event-bus/)
-   [Helm Broker](./helm-broker/)
-   [Logging](./logging/)
-   [Rafter](./rafter/)
-   [Monitoring](./monitoring/)
-   [Security](./security/)
-   [Serverless](./serverless/)
-   [Service Catalog](./service-catalog/)
-   [Service Mesh](./service-mesh/)
-   [Tracing](./tracing/)

Read it directly in GitHub or inside the Kyma Console if you have access to the Kyma cluster.

The navigation order of the documentation page is based on the **rafter.kyma-project.io/order** label specified in the [ClusterAssetGroup](../resources/core/charts/docs/charts/content-ui/templates) for a given Kyma component.

## Development

Follow these basic rules when you add a new document to the official Kyma documentation:

1. Get familiar with the [Content Strategy](https://github.com/kyma-project/community/blob/master/guidelines/content-guidelines/01-content-strategy.md) to learn about the Kyma's official approach to content development.
2. Follow the [Contribution Guide](https://github.com/kyma-project/community/blob/master/contributing/02-contributing.md) for the general contribution rules and process.
3. Make use of the [templates](https://github.com/kyma-project/community/tree/master/guidelines/templates) to structure your documents properly.
4. Be compliant with the writing [guidelines](https://github.com/kyma-project/community/blob/master/guidelines/content-guidelines) to contribute high-quality and standardized content.
