---
title: Kyma features and concepts in practice
type: Examples
---

The table contains a list of examples that demonstrate Kyma functionalities. You can run all of them locally or on a cluster. Examples are organized by a feature or concept they showcase. Each of them contains ready-to-use code snippets and the instructions in `README.md` documents.

Follow the links to examples' code and content sources, and try them on your own.

| Example | Description | Technology |
|---|---|---|
| [HTTP DB Service](https://github.com/kyma-project/examples/blob/master/http-db-service/README.md) | Test the service that exposes an HTTP API to access a database on the cluster. | Go, MSSQL |
| [Event Service Subscription](https://github.com/kyma-project/examples/blob/master/event-subscription/service/README.md) | Test the example that demonstrates the `publish` and `consume` features of the Event Bus. | Go |
| [Event Lambda Subscription](https://github.com/kyma-project/examples/blob/master/event-subscription/lambda/README.md) | Create functions, trigger them on Events, and bind them to services.  | Kubeless |
| [Gateway](https://github.com/kyma-project/examples/blob/master/gateway/README.md) | Expose APIs for functions or services.  | Kubeless |
| [Service Binding](https://github.com/kyma-project/examples/blob/master/service-binding/lambda/README.md) | Bind a Redis service to a lambda function. | Kubeless, Redis, NodeJS |
| [Alert Rules](https://github.com/kyma-project/examples/blob/master/monitoring-alert-rules/README.md) | Configure alert rules in Kyma.  | Prometheus |
| [Custom Metrics in Kyma](https://github.com/kyma-project/examples/blob/master/monitoring-custom-metrics/README.md) | Expose custom metrics in Kyma.  | Go, Prometheus |
| [Event Email Service](https://github.com/kyma-project/examples/blob/master/event-email-service/README.md) | Send an automated email upon receiving an Event.  | NodeJS |
| [Tracing](https://github.com/kyma-project/examples/blob/master/tracing/README.md) | Configure tracing for a service in Kyma. | Go |
